## linux-meta-nvidia-6.2 6.2.0.1003.3~22.04.2

=== debian/changelog ===
linux-meta-nvidia-6.2 (6.2.0.1003.3~22.04.2) jammy; urgency=medium

  * Bump ABI 6.2.0-1003.3~22.04

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] fix nvidia-64k control file

 -- Ian May <ian.may@canonical.com>  Wed, 31 May 2023 08:46:49 -0500

linux-meta-nvidia-6.2 (6.2.0.1002.2~22.04.1) jammy; urgency=medium

  * Bump ABI 6.2.0-1002.2~22.04

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] resync debian/dkms-versions from main package

 -- Ian May <ian.may@canonical.com>  Tue, 02 May 2023 02:52:39 -0500

linux-meta-nvidia-6.2 (6.2.0.1000.0~22.04.1) jammy; urgency=medium

  * Empty entry

 -- Ian May <ian.may@canonical.com>  Tue, 11 Apr 2023 15:09:25 -0500

linux-meta-nvidia (6.2.0.1002.2) lunar; urgency=medium

  * Bump ABI 6.2.0-1002

 -- Ian May <ian.may@canonical.com>  Wed, 29 Mar 2023 23:57:17 -0500

linux-meta-nvidia (6.2.0.1001.1) lunar; urgency=medium

  * Bump ABI 6.2.0-1001

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Ian May <ian.may@canonical.com>  Wed, 29 Mar 2023 21:39:51 -0500

linux-meta-nvidia (6.2.0.1000.0) lunar; urgency=medium

  * Empty entry

 -- Ian May <ian.may@canonical.com>  Fri, 24 Mar 2023 15:40:30 -0500

linux-meta (6.2.0.18.18) lunar; urgency=medium

  * Bump ABI 6.2.0-18

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 15 Mar 2023 23:56:28 +0100

linux-meta (6.2.0.17.17) lunar; urgency=medium

  * Bump ABI 6.2.0-17

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 14 Mar 2023 17:29:54 +0100

linux-meta (6.2.0.16.16) lunar; urgency=medium

  * Bump ABI 6.2.0-16

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 10 Mar 2023 19:18:09 +0100

linux-meta (6.2.0.14.14) lunar; urgency=medium

  * Bump ABI 6.2.0-14

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 09 Mar 2023 17:13:35 +0100

linux-meta (6.2.0.13.13) lunar; urgency=medium

  * Bump ABI 6.2.0-13

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 08 Mar 2023 14:42:55 +0100

linux-meta (6.2.0.12.12) lunar; urgency=medium

  * Bump ABI 6.2.0-12

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 08 Mar 2023 12:50:42 +0100

linux-meta (6.2.0.11.11) lunar; urgency=medium

  * Bump ABI 6.2.0-11

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 08 Mar 2023 12:26:54 +0100

linux-meta (6.2.0.10.10) lunar; urgency=medium

  * Bump ABI 6.2.0-10

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 08 Mar 2023 12:04:33 +0100

linux-meta (6.2.0.1.1) lunar; urgency=medium

  * Bump ABI 6.2.0-1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] resync debian/dkms-versions from main package

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 07 Mar 2023 19:19:14 +0100

linux-meta (6.2.0.0.0) lunar; urgency=medium

  * Empty entry

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 03 Mar 2023 08:44:19 +0100

linux-meta-unstable (6.2.0.10.10) lunar; urgency=medium

  * Bump ABI 6.2.0-10

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 20 Feb 2023 12:15:33 +0100

linux-meta-unstable (6.2.0.9.9) lunar; urgency=medium

  * Bump ABI 6.2.0-9

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 13 Feb 2023 10:24:35 +0100

linux-meta-unstable (6.2.0.8.8) lunar; urgency=medium

  * Bump ABI 6.2.0-8

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 31 Jan 2023 11:24:31 +0100

linux-meta-unstable (6.2.0.7.7) lunar; urgency=medium

  * Bump ABI 6.2.0-7

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 30 Jan 2023 10:29:58 +0100

linux-meta-unstable (6.2.0.5.5) lunar; urgency=medium

  * Bump ABI 6.2.0-5

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 23 Jan 2023 08:45:48 +0100

linux-meta-unstable (6.2.0.4.4) lunar; urgency=medium

  * Bump ABI 6.2.0-4

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 17 Jan 2023 09:49:10 +0100

linux-meta-unstable (6.2.0.3.3) lunar; urgency=medium

  * Bump ABI 6.2.0-3

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 16 Jan 2023 17:19:11 +0100

linux-meta-unstable (6.2.0.2.2) lunar; urgency=medium

  * Bump ABI 6.2.0-2

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 05 Jan 2023 09:40:35 +0100

linux-meta-unstable (6.2.0.1.1) lunar; urgency=medium

  * Bump ABI 6.2.0-1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 04 Jan 2023 12:27:58 +0100

linux-meta-unstable (6.2.0.0.0) lunar; urgency=medium

  * Empty entry

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 04 Jan 2023 10:57:02 +0100

linux-meta (6.1.0.11.11) lunar; urgency=medium

  * Bump ABI 6.1.0-11

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 30 Dec 2022 11:24:53 +0100

linux-meta (6.1.0.10.10) lunar; urgency=medium

  * Bump ABI 6.1.0-10

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 13 Dec 2022 22:35:10 +0100

linux-meta (6.1.0.3.3) lunar; urgency=medium

  * Bump ABI 6.1.0-3

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 13 Dec 2022 16:47:34 +0100

linux-meta (6.1.0.2.2) lunar; urgency=medium

  * Bump ABI 6.1.0-2

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 12 Dec 2022 17:08:33 +0100

linux-meta (6.1.0.1.1) lunar; urgency=medium

  * Bump ABI 6.1.0-1

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 12 Dec 2022 13:49:13 +0100

linux-meta (6.1.0.0.0) lunar; urgency=medium

  * Empty entry

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 12 Dec 2022 09:43:51 +0100

linux-meta-unstable (6.1.0.9.9) lunar; urgency=medium

  * Bump ABI 6.1.0-9

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 28 Nov 2022 12:20:18 +0100


