=== debian/control ===
Source: linux-meta-nvidia-6.2
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.8
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
Build-Depends-Arch:
 linux-nvidia-6.2-headers-6.2.0-1003,
 linux-headers-6.2.0-1003-nvidia,
 linux-modules-6.2.0-1003-nvidia,
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia/+git/jammy

Package: linux-headers-nvidia-6.2
Architecture: amd64 arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia
Description: Nvidia Linux kernel headers
 This package will always depend on the latest nvidia kernel headers
 available.

Package: linux-image-nvidia-6.2
Architecture: amd64 arm64
Section: kernel
Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia, linux-modules-extra-${kernel-abi-version}-nvidia [amd64 arm64], linux-firmware [amd64 arm64], intel-microcode [amd64], amd64-microcode [amd64]
Recommends: thermald [amd64]
Description: Nvidia Linux kernel image
 This package will always depend on the latest nvidia kernel image
 available.

Package: linux-tools-nvidia-6.2
Architecture: amd64 arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia
Description: Nvidia Linux kernel tools
 This package will always depend on the latest nvidia kernel tools
 available.

Package: linux-cloud-tools-nvidia-6.2
Architecture: amd64
Section: kernel
Provides: linux-cloud-tools
Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-nvidia
Description: Nvidia Linux kernel cloud tools
 This package will always depend on the latest nvidia kernel cloud tools
 available.

Package: linux-nvidia-6.2
Architecture: amd64 arm64
Section: kernel
Provides: kernel-testing--linux-nvidia-6.2--full--nvidia, kernel-testing--linux-nvidia-6.2--full--preferred,
Depends: ${misc:Depends}, linux-image-nvidia-6.2 (= ${binary:Version}), linux-headers-nvidia-6.2 (= ${binary:Version})
Description: Complete Nvidia Linux kernel and headers
 This package will always depend on the latest complete nvidia Linux kernel
 and headers.


Package: linux-headers-nvidia-edge
Architecture: amd64 arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia
Description: Nvidia Linux kernel headers
 This package will always depend on the latest nvidia kernel headers
 available.

Package: linux-image-nvidia-edge
Architecture: amd64 arm64
Section: kernel
Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia, linux-modules-extra-${kernel-abi-version}-nvidia [amd64 arm64], linux-firmware [amd64 arm64], intel-microcode [amd64], amd64-microcode [amd64]
Recommends: thermald [amd64]
Description: Nvidia Linux kernel image
 This package will always depend on the latest nvidia kernel image
 available.

Package: linux-tools-nvidia-edge
Architecture: amd64 arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia
Description: Nvidia Linux kernel tools
 This package will always depend on the latest nvidia kernel tools
 available.

Package: linux-cloud-tools-nvidia-edge
Architecture: amd64
Section: kernel
Provides: linux-cloud-tools
Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-nvidia
Description: Nvidia Linux kernel cloud tools
 This package will always depend on the latest nvidia kernel cloud tools
 available.

Package: linux-nvidia-edge
Architecture: amd64 arm64
Section: kernel
Provides:  
Depends: ${misc:Depends}, linux-image-nvidia-edge (= ${binary:Version}), linux-headers-nvidia-edge (= ${binary:Version})
Description: Complete Nvidia Linux kernel and headers
 This package will always depend on the latest complete nvidia Linux kernel
 and headers.


Package: linux-headers-nvidia-64k-6.2
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-64k
Description: Nvidia 64K Linux kernel headers
 This package will always depend on the latest nvidia-64k kernel headers
 available.

Package: linux-image-nvidia-64k-6.2
Architecture: arm64
Section: kernel
Provides: ${dkms:wireguard-linux-compat-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-64k, linux-firmware
Recommends: thermald [amd64]
Description: Nvidia 64K Linux kernel image
 This package will always depend on the latest nvidia-64k kernel image
 available.

Package: linux-tools-nvidia-64k-6.2
Architecture: arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-64k
Description: Nvidia 64K Linux kernel tools
 This package will always depend on the latest nvidia-64k kernel tools
 available.

Package: linux-nvidia-64k-6.2
Architecture: arm64
Section: kernel
Provides: kernel-testing--linux-nvidia-6.2--full--nvidia-64k,
Depends: ${misc:Depends}, linux-image-nvidia-64k-6.2 (= ${binary:Version}), linux-headers-nvidia-64k-6.2 (= ${binary:Version})
Description: Complete Nvidia 64K Linux kernel and headers
 This package will always depend on the latest complete nvidia-64k Linux kernel
 and headers.


Package: linux-headers-nvidia-64k-edge
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-64k
Description: Nvidia 64K Linux kernel headers
 This package will always depend on the latest nvidia-64k kernel headers
 available.

Package: linux-image-nvidia-64k-edge
Architecture: arm64
Section: kernel
Provides: ${dkms:wireguard-linux-compat-modules}
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-64k, linux-firmware
Recommends: thermald [amd64]
Description: Nvidia 64K Linux kernel image
 This package will always depend on the latest nvidia-64k kernel image
 available.

Package: linux-tools-nvidia-64k-edge
Architecture: arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-64k
Description: Nvidia 64K Linux kernel tools
 This package will always depend on the latest nvidia-64k kernel tools
 available.

Package: linux-nvidia-64k-edge
Architecture: arm64
Section: kernel
Provides: 
Depends: ${misc:Depends}, linux-image-nvidia-64k-edge (= ${binary:Version}), linux-headers-nvidia-64k-edge (= ${binary:Version})
Description: Complete Nvidia 64K Linux kernel and headers
 This package will always depend on the latest complete nvidia-64k Linux kernel
 and headers.
