## linux-meta-nvidia-6.2 6.2.0.1009.10

=== debian/changelog ===
linux-meta-nvidia-6.2 (6.2.0.1009.10) jammy; urgency=medium

  * Bump ABI 6.2.0-1009

 -- Ian May <ian.may@canonical.com>  Mon, 14 Aug 2023 19:54:19 -0500

linux-meta-nvidia-6.2 (6.2.0.1008.9) jammy; urgency=medium

  * Bump ABI 6.2.0-1008

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Ian May <ian.may@canonical.com>  Sun, 06 Aug 2023 22:43:37 -0500

linux-meta-nvidia-6.2 (6.2.0.1007.8) jammy; urgency=medium

  * Bump ABI 6.2.0-1007

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] resync debian/dkms-versions from main package

 -- Ian May <ian.may@canonical.com>  Sat, 05 Aug 2023 17:04:46 -0500

linux-meta-nvidia-6.2 (6.2.0.1006.6~22.04.7) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Ian May <ian.may@canonical.com>  Wed, 26 Jul 2023 16:49:49 -0500

linux-meta-nvidia-6.2 (6.2.0.1006.6~22.04.6) jammy; urgency=medium

  * Bump ABI 6.2.0-1006.6~22.04

 -- Ian May <ian.may@canonical.com>  Wed, 26 Jul 2023 08:55:58 -0500

linux-meta-nvidia-6.2 (6.2.0.1005.5~22.04.5) jammy; urgency=medium

  * Bump ABI 6.2.0-1005.5~22.04

 -- Ian May <ian.may@canonical.com>  Wed, 26 Jul 2023 00:04:45 -0500

linux-meta-nvidia-6.2 (6.2.0.1004.4~22.04.4) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Brad Figg <bfigg@nvidia.com>  Mon, 17 Jul 2023 15:18:16 -0700

linux-meta-nvidia-6.2 (6.2.0.1004.4~22.04.3) jammy; urgency=medium

  * Bump ABI 6.2.0-1004.4~22.04

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] resync debian/dkms-versions from main package

 -- Brad Figg <bfigg@nvidia.com>  Thu, 29 Jun 2023 14:16:23 -0700
