## linux-meta-nvidia-6.2 6.2.0.1010.11

=== debian/changelog ===
linux-meta-nvidia-6.2 (6.2.0.1010.11) jammy; urgency=medium

  * Bump ABI 6.2.0-1010

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Brad Figg <bfigg@nvidia.com>  Mon, 28 Aug 2023 17:25:41 -0700
