=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
 Build-Depends-Arch:
- linux-nvidia-6.2-headers-6.2.0-1009,
- linux-headers-6.2.0-1009-nvidia,
- linux-modules-6.2.0-1009-nvidia,
+ linux-nvidia-6.2-headers-6.2.0-1010,
+ linux-headers-6.2.0-1010-nvidia,
+ linux-modules-6.2.0-1010-nvidia,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia/+git/jammy
 
 Package: linux-headers-nvidia-6.2
