## linux-meta-nvidia-6.2 6.2.0.1013.15

=== debian/changelog ===
linux-meta-nvidia-6.2 (6.2.0.1013.15) jammy; urgency=medium

  * Bump ABI 6.2.0-1013

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] resync debian/dkms-versions from main package

 -- Brad Figg <bfigg@nvidia.com>  Thu, 16 Nov 2023 15:49:23 -0800

linux-meta-nvidia-6.2 (6.2.0.1012.14) jammy; urgency=medium

  * Bump ABI 6.2.0-1012

 -- Ian May <ian.may@canonical.com>  Mon, 06 Nov 2023 14:56:46 +0200

linux-meta-nvidia-6.2 (6.2.0.1011.13) jammy; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Packaging] nvidia-6.2: fix nvidia-64k depends for linux-modules-nvidia-
      fs-64k package

 -- Ian May <ian.may@canonical.com>  Tue, 24 Oct 2023 11:40:49 -0500

linux-meta-nvidia-6.2 (6.2.0.1011.12) jammy; urgency=medium

  * Bump ABI 6.2.0-1011

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] add nvidia-fs depends
    - [Packaging] nvidia-6.2: add missing control.dkms file
    - [Packaging] fix available_archs for standalone dkms

 -- Ian May <ian.may@canonical.com>  Sun, 15 Oct 2023 21:14:25 -0500
