## linux-meta-nvidia-6.2 6.2.0.1015.17

=== debian/changelog ===
linux-meta-nvidia-6.2 (6.2.0.1015.17) jammy; urgency=medium

  * Bump ABI 6.2.0-1015

  * Packaging resync (LP: #1786013)
    - [Packaging] resync debian/dkms-versions from main package

 -- Ian May <ian.may@canonical.com>  Wed, 17 Jan 2024 09:00:15 -0600

linux-meta-nvidia-6.2 (6.2.0.1014.16) jammy; urgency=medium

  * Bump ABI 6.2.0-1014

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants

 -- Ian May <ian.may@canonical.com>  Tue, 16 Jan 2024 13:24:30 -0600
