=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
 Build-Depends-Arch:
- linux-nvidia-6.2-headers-6.2.0-1013,
- linux-headers-6.2.0-1013-nvidia,
- linux-modules-6.2.0-1013-nvidia,
+ linux-nvidia-6.2-headers-6.2.0-1015,
+ linux-headers-6.2.0-1015-nvidia,
+ linux-modules-6.2.0-1015-nvidia,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia/+git/jammy
 
 Package: linux-headers-nvidia-6.2
@@ -102,6 +102,52 @@
  and headers.
 
 
+Package: linux-headers-nvidia-hwe-22.04-edge
+Architecture: amd64 arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia
+Description: Nvidia Linux kernel headers
+ This package will always depend on the latest nvidia kernel headers
+ available.
+
+Package: linux-image-nvidia-hwe-22.04-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia, linux-modules-extra-${kernel-abi-version}-nvidia [amd64 arm64], linux-firmware [amd64 arm64], intel-microcode [amd64], amd64-microcode [amd64], linux-modules-nvidia-fs-${kernel-abi-version}-nvidia | nvidia-fs-dkms
+Recommends: thermald [amd64]
+Description: Nvidia Linux kernel image
+ This package will always depend on the latest nvidia kernel image
+ available.
+
+Package: linux-tools-nvidia-hwe-22.04-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia
+Description: Nvidia Linux kernel tools
+ This package will always depend on the latest nvidia kernel tools
+ available.
+
+Package: linux-cloud-tools-nvidia-hwe-22.04-edge
+Architecture: amd64
+Section: kernel
+Provides: linux-cloud-tools
+Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-nvidia
+Description: Nvidia Linux kernel cloud tools
+ This package will always depend on the latest nvidia kernel cloud tools
+ available.
+
+Package: linux-nvidia-hwe-22.04-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-image-nvidia-hwe-22.04-edge (= ${binary:Version}), linux-headers-nvidia-hwe-22.04-edge (= ${binary:Version})
+Description: Complete Nvidia Linux kernel and headers
+ This package will always depend on the latest complete nvidia Linux kernel
+ and headers.
+
+
 Package: linux-headers-nvidia-64k-6.2
 Architecture: arm64
 Section: kernel
@@ -176,6 +222,43 @@
  and headers.
 
 
+Package: linux-headers-nvidia-64k-hwe-22.04-edge
+Architecture: arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-64k
+Description: Nvidia 64K Linux kernel headers
+ This package will always depend on the latest nvidia-64k kernel headers
+ available.
+
+Package: linux-image-nvidia-64k-hwe-22.04-edge
+Architecture: arm64
+Section: kernel
+Provides: ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-64k, linux-firmware, linux-modules-nvidia-fs-${kernel-abi-version}-nvidia-64k | nvidia-fs-dkms
+Recommends: thermald [amd64]
+Description: Nvidia 64K Linux kernel image
+ This package will always depend on the latest nvidia-64k kernel image
+ available.
+
+Package: linux-tools-nvidia-64k-hwe-22.04-edge
+Architecture: arm64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-64k
+Description: Nvidia 64K Linux kernel tools
+ This package will always depend on the latest nvidia-64k kernel tools
+ available.
+
+Package: linux-nvidia-64k-hwe-22.04-edge
+Architecture: arm64
+Section: kernel
+Provides: 
+Depends: ${misc:Depends}, linux-image-nvidia-64k-hwe-22.04-edge (= ${binary:Version}), linux-headers-nvidia-64k-hwe-22.04-edge (= ${binary:Version})
+Description: Complete Nvidia 64K Linux kernel and headers
+ This package will always depend on the latest complete nvidia-64k Linux kernel
+ and headers.
+
+
 
 Package: linux-modules-nvidia-fs-nvidia-6.2
 Architecture: amd64 arm64 
@@ -218,3 +301,10 @@
 Description: Extra drivers for nvidia-fs for the nvidia-64k flavour
  Install extra signed nvidia-fs modules compatible with the nvidia-64k flavour.
 
+
+Package: linux-modules-nvidia-fs-nvidia-hwe-22.04-edge
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-fs-modules}
+Depends:
+ ${misc:Depends},
